summaryrefslogtreecommitdiffstats
path: root/source/ap/nano/nano.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/nano/nano.SlackBuild')
-rwxr-xr-xsource/ap/nano/nano.SlackBuild26
1 files changed, 20 insertions, 6 deletions
diff --git a/source/ap/nano/nano.SlackBuild b/source/ap/nano/nano.SlackBuild
index c3f8aed3c..28ad4d072 100755
--- a/source/ap/nano/nano.SlackBuild
+++ b/source/ap/nano/nano.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2012, 2014, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=nano
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -37,6 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -59,7 +68,6 @@ else
ARCHQUADLET=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
@@ -67,7 +75,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
@@ -131,7 +139,13 @@ fi
# file from the doc directory that loads the colour configurations
# from /usr/share/nano.
mkdir -vpm755 $PKG/etc
-sed 's?^# include?include?g' doc/nanorc.sample > $PKG/etc/nanorc.new
+if [ -f doc/nanorc.sample ]; then
+ sed 's?^# include?include?g' doc/nanorc.sample > $PKG/etc/nanorc.new
+elif [ -f doc/sample.nanorc ]; then
+ sed 's?^# include?include?g' doc/sample.nanorc > $PKG/etc/nanorc.new
+else
+ touch $PKG/etc/nanorc.new
+fi
chmod 644 $PKG/etc/nanorc.new
# Add a documentation directory: